
Name:          hessian4
Version:       4.0.7
Release:       %mkrel 1
Summary:       Hessian binary web service protocol
Group:         Development/Java
License:       ASL 1.1
Url:           http://hessian.caucho.com/
Source0:       http://caucho.com/download/hessian-%{version}-src.jar
Source1:       hessian-%{version}-build.xml
Source2:       hessian-%{version}.pom.xml

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: servletapi5

Requires:      servletapi5

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The Hessian binary web service protocol makes web
services usable without requiring a large framework,
and without learning yet another alphabet soup of
protocols. Because it is a binary protocol, it is
well-suited to sending binary data without any need
to extend the protocol with attachments.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -c

mkdir src
mv com src
cp %{SOURCE1} build.xml

%build

export CLASSPATH=$(build-classpath servletapi5):target/classes
ant -Dbuild.sysclasspath="only" dist

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/hessian-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar 

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/docs/api/* %{buildroot}%{_javadocdir}/%{name}

rm -rf %{buildroot}/.directory

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc apache.license

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Sat Oct 15 2011 gil <gil> 4.0.7-1.mga2
+ Revision: 155274
- edit spec file
- imported package hessian4

